%global debug_package %{nil}

Name: mpi3mr-dkms
Version: 8.13.1.0.0
Release: 45d4%{?dist}
Summary: Patched version of mpi3mr driver
License: GPL-3.0+
URL: https://github.com/45Drives/mpi3mr-45d
Source0: %{name}-%{version}.tar.gz
BuildArch: noarch
Requires: dkms,patch,kernel-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%global PACKAGE_NAME mpi3mr
%global PACKAGE_VERSION 8.13.1.0.0-45d4

%description
mpi3mr
Patched version of mpi3mr driver

%prep
%setup -q
if [ "%{PACKAGE_NAME}" != "$(grep PACKAGE_NAME= dkms.conf | cut -d= -f2 | cut -d\" -f2)" ]; then
    echo "package name does not match package name in dkms.conf" >&2
    exit 1
fi
if [ "%{PACKAGE_VERSION}" != "$(grep PACKAGE_VERSION= dkms.conf | cut -d= -f2 | cut -d\" -f2)" ]; then
    echo "package version does not match package version in dkms.conf" >&2
    exit 1
fi

%build

%install
echo PACKAGE_NAME=%{PACKAGE_NAME}
echo PACKAGE_VERSION=%{PACKAGE_VERSION}
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/src/%{PACKAGE_NAME}-%{PACKAGE_VERSION}/
cp -r * %{buildroot}/usr/src/%{PACKAGE_NAME}-%{PACKAGE_VERSION}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root)
%attr(0755,root,root) /usr/src/%{PACKAGE_NAME}-%{PACKAGE_VERSION}/

%post
/usr/sbin/dkms add -m %{PACKAGE_NAME} -v %{PACKAGE_VERSION} --rpm_safe_upgrade
/usr/sbin/dkms build -m %{PACKAGE_NAME} -v %{PACKAGE_VERSION} && /usr/sbin/dkms install -m %{PACKAGE_NAME} -v %{PACKAGE_VERSION}

%preun
/usr/sbin/dkms remove -m %{PACKAGE_NAME} -v %{PACKAGE_VERSION} --all --rpm_safe_upgrade
exit 0

%changelog
* Tue Jul 15 2025 Joshua Boudreau <jboudreau@45drives.com> 8.13.1.0.0-45d4
- Put pve-headers dep first
* Tue Jul 15 2025 Joshua Boudreau <jboudreau@45drives.com> 8.13.1.0.0-45d3
- Add pve-headers dependency for builds on PVE
* Tue Jun 17 2025 Joshua Boudreau <jboudreau@45drives.com> 8.13.1.0.0-45d2
- Update upstream driver to 8.13.1.0.0
- Fix build in EL 9.6, build against 5.14.0-570 broke due to upstream kernel backport
* Tue Jun 03 2025 Joshua Boudreau <jboudreau@45drives.com> 8.13.1.0.0-45d1
- Update upstream driver to 8.13.1.0.0
* Mon Mar 03 2025 Joshua Boudreau <jboudreau@45drives.com> 8.9.1.0.0-45d7
- Ensure module overrides default on Debian
* Fri Nov 15 2024 Joshua Boudreau <jboudreau@45drives.com> 8.9.1.0.0-45d6
- Fix build for RHEL
* Mon Oct 28 2024 Joshua Boudreau <jboudreau@45drives.com> 8.9.1.0.0-45d5
- Add kernel dev dependencies for build
* Fri Oct 18 2024 Joshua Boudreau <jboudreau@45drives.com> 8.9.1.0.0-45d4
- Fix build in Rocky 9.4 again
* Fri Oct 18 2024 Joshua Boudreau <jboudreau@45drives.com> 8.9.1.0.0-45d3
- Fix build for rocky >= 9.4
* Fri Oct 18 2024 Joshua Boudreau <jboudreau@45drives.com> 8.9.1.0.0-45d2
- Update compat for kernel >= 6.6
* Fri Jul 05 2024 Joshua Boudreau <jboudreau@45drives.com> 8.9.1.0.0-45d1
- Update upstream driver to 8.9.1.0.0
* Fri Jan 05 2024 Joshua Boudreau <jboudreau@45drives.com> 8.7.1.0.0-45d4
- Fix dkms build for rocky
* Thu Dec 07 2023 Joshua Boudreau <jboudreau@45drives.com> 8.7.1.0.0-45d3
- fix generated patch
* Thu Dec 07 2023 Joshua Boudreau <jboudreau@45drives.com> 8.7.1.0.0-45d2
- Update dkms.conf to have proper version
* Thu Dec 07 2023 Joshua Boudreau <jboudreau@45drives.com> 8.7.1.0.0-45d1
- update to 8.7.1
* Fri Aug 18 2023 Joshua Boudreau <jboudreau@45drives.com> 8.6.1.0.0-45d1
- Updated upstream to 8.6.1.0.0
* Tue Aug 15 2023 Joshua Boudreau <jboudreau@45drives.com> 8.5.1.0.0-45d2
- fixed installed path for rocky
* Wed Aug 09 2023 Joshua Boudreau <jboudreau@45drives.com> 8.5.1.0.0-45d1
- First build